Package twisted :: Package trial :: Module reporter :: Class VerboseTextReporter |
[frames | no frames]

## Class VerboseTextReporter

    Reporter --+
               |
    TextReporter --+
                   |
                  VerboseTextReporter

Method Summary
| `reportResults(self, testClass, method, resultType, results)`
| `reportStart(self, testClass, method)`
Inherited from TextReporter
| ``__init__`(self, stream, tbformat)`
| ``_formatError`(self, flavor, (testClass, method, error))`
| ``_formatImportError`(self, name, error)`
| ``_statusReport`(self)`
| ``stop`(self)`
| ``write`(self, format, *args)`
| ``writeln`(self, format, *args)`
Inherited from Reporter
| ``allPassed`(self)`
| ``getRunningTime`(self)`
| ``reportImportError`(self, name, exc)`
| ``start`(self, expectedTests)`

Instance Variable Summary
Inherited from Reporter
bool | `debugger`: Run the debugger when encountering a failing test.
List of (testClass, method, Results) tuples. | `errors`: Tests which have encountered an error.
List of (testClass, method, Results) tuples. | `expectedFailures`: Tests which failed but are marked as 'todo'
int | `expectedTests`: The number of tests I expect to run.
List of (testClass, method, Results) tuples. | `failures`: Tests which have failed.
List of (moduleName, exception) tuples. | `imports`: Import errors encountered while assembling the test suite.
int | `numTests`: The number of tests I have reports for.
List of (testClass, method, Results) tuples. | `skips`: Tests which have been skipped.
List of (testClass, method, Results) tuples. | `unexpectedSuccesses`: Tests which passed but are marked as 'todo'

Class Variable Summary
Inherited from TextReporter
`str` | `DOUBLE_SEPARATOR` = `'====================================...`
`str` | `SEPARATOR` = `'-------------------------------------------...`

Generated by Epydoc 2.0 on Sat Oct 25 00:54:50 2003 | http://epydoc.sf.net